Make VisualEditor good enough to use with all common IMEs for this random group of languages
Closed, ResolvedPublic8 Story Points

Description

  • All Phase 6 wikis which wouldn't fit in other groups:
arcAramaicAramaic
chrCherokeeCherokee
dvDhivehiThaana
gotGothicGothic
kmKhmerKhmer
loLaoLao
myBurmeseBurmese
tetTetumLatin
thThaiThai
twTwiLatin

Note that per T116523, Cherokee was supposed to be part of the "easier" group.

Elitre created this task.Jan 29 2016, 6:31 PM
Elitre updated the task description. (Show Details)
Elitre raised the priority of this task from to Needs Triage.
Elitre added a project: VisualEditor.
Elitre added a subscriber: Elitre.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 29 2016, 6:31 PM
Elitre renamed this task from Enable VisualEditor by default for all users of this random group of Phase 6 languages to Make VisualEditor work by default in this random group of Phase 6 languages.
Elitre set Security to None.
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJan 30 2016, 12:01 AM
Elitre updated the task description. (Show Details)Jun 9 2016, 12:53 PM
Jdforrester-WMF renamed this task from Make VisualEditor work by default in this random group of Phase 6 languages to Make VisualEditor good enough to use with all common IMEs for this random group of languages.Aug 30 2016, 7:45 PM
Jdforrester-WMF raised the priority of this task from Low to Normal.
Jdforrester-WMF assigned this task to dchan.

Other than the eight content variant languages and Dutch, these are the only Wikipedias for which we're not on by default. David, could you have a look at each of these languages and what IMEs they use, to see if this needs any further work?

From manual checking, I was able to cursor, link, type in Latin, type in an IME, copy/paste, review changes and switch editors in each of arc, chr, dv, got, km, lo, mytet, th, and tw.

However, in chr switching caused the skin to become part of the editor, which I think is probably caused by an unclosed <div> somewhere in their site config. In my the cursoring has the fun multi-character glyph behaviour shared with several Indic languages.

Theoretically, subject to community happiness, we should be good to go.

Jdforrester-WMF closed this task as Resolved.Sep 6 2016, 9:04 PM